#include <Servo.h> // Inclut la library Servo pour manipuler le servomoteur .
Servo servo_moteur; // Créer un objet Servo pour contrôler le servomoteur.

/* Broche pin sur laquelle on branche le fil orange du servomoteur.
A priori, les valeurs possibles sont 9 ou 10. */
byte pin_servo_moteur = 6; 

void setup() {
  servo_moteur.attach(pin_servo_moteur); // Attache le servomoteur à sa broche pin.
  servo_moteur.write(90); // Positionne le servomoteur en position médiane, 90°.
}



void loop() {
  balayage_servo_moteur();  
}

/* Fonction qui fait tourner le servomoteur à gauche, à droite, puis le remet au centre */
void balayage_servo_moteur() {
  servo_moteur.write(5);
  delay(1000);
  servo_moteur.write(175);
  delay(1000);
  servo_moteur.write(90);
  delay(1000);
}
